////////////
// Lights //
////////////

textures/chaos_light/ceil_blue
{
	surfaceparm nomarks
	q3map_surfacelight 15000
	light 1
	// Square rich blue light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chaos_light/ceil_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chaos_light/ceil_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/chaos_light/ceil_red
{
	surfaceparm nomarks
	q3map_surfacelight 15000
	light 1
	//	A red-orange ceiling light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chaos_light/ceil_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chaos_light/ceil_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/chaos_light/ceil_border
{
	surfaceparm nomarks
	// Light border
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chaos_light/ceil_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/chaos_light/fmet_light
{
	surfaceparm nomarks
	q3map_surfacelight 700
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chaos_light/fmet_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/chaos_light/ceiling_light
{
	surfaceparm nomarks
	q3map_surfacelight 6000
	light 1
	// Ceiling light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chaos_light/ceiling_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

/////////////////////////
// Metalsteps surfaces //
/////////////////////////

textures/e1u3/bflor3_1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/e1u3/bflor3_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/e1u3/support1_1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/e1u3/support1_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/e1u3/grnx2_5
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/e1u3/grnx2_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/e1u3/sltfl2_2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/e1u3/sltfl2_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/e1u3/airduc1_1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/e1u3/airduc1_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}